/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#pragma once

#include "CoreMinimal.h"
#include "Styling/SlateStyle.h"

class INWORLDRUNTIMEEDITOR_API FInworldGraphEditorStyle
{
public:
	static void Initialize();
	static void Shutdown();

	static TSharedPtr<class ISlateStyle> Get();

	static const FName& GetStyleSetName();

private:
	static TSharedPtr<class FSlateStyleSet> StyleSet;
};
